.theme(@backcolor: #EEA2AD, @fcolor: #fff) {}

// 购物车 单项
.shop-items {
    height: 125px;
    display: flex;
    align-items: center;
    background: white;

    .shop-checkOne {
        width: 19px;
        height: 19px;
        margin: 0 6px 0 6px;
    }

    .item-img {
        width: 105px;
        height: 105px;
        display: flex;
        justify-content: center;
        align-items: center;
        background: rgba(246, 246, 246, 1);
    }

    .item-conts {
        font-size:14px;
        width: 237.5px;
        display: flex;
        box-sizing: border-box;
        padding: 10px;
        height: 100%;

        .item-conts-left {
            width: 183.5px;
            flex-shrink: 0;
            .item-conts-left-top {
                height: 36px;
            }

            .item-conts-left-middle {
                height: 018px;
                margin: 10px 0 0 0;
                color: #d7a269;
            }

            .item-conts-left-bottom {
                height: 28px;
                margin: 13.5px 0 0 0;

                .van-stepper {
                    height: 28px;

                    ::v-deep .van-stepper__plus,
                    ::v-deep .van-stepper__minus,
                    ::v-deep .van-stepper__input {
                        width: 28px;
                        height: 28px;
                    }
                }
            }
        }

        .item-conts-right {
            display: flex;
            flex-direction: column;
            justify-content: space-between;

            .item-conts-right-top {
                width: 137.5px;
                height: 137.5px;
                margin: 0 0 0 19px;
            }

            .item-conts-right-bottom {
                width: 23px;
                height: 23px;
                font-size: 23px23px;
                margin: 0 05px 0;
            }
        }
    }
}

// 购物车  底部结算栏
.shop-bar {
    width: 100%;
    height:40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size:14px;
    font-size:14px;
    position: fixed;
    left: 0;
    bottom: 49px;
    background: rgba(255, 255, 255, 1);
    margin: 0 0 0.5px 0;

    .shop-btn {
        width: 130px;
        height: 39px;
        font-size: 16px;
        background: #d7a269;
        border-radius: 39px;
        color: white;
        line-height: 39px;
        text-align: center;
    }

    .shop-checkbox {
        margin: 0 0 0 7.5px;
        font-size:14px;
    }

    .shop-subtotal {
        height: 18px;
        line-height: 18px;
        color: #d7a269;
    }
}

// 提示框
.toast-font {
    font-size: 18px !important;
    min-height: 44px !important;
}

//计数器
.van-stepper {
    height: 28px;

    /deep/ .van-stepper__plus,
    .van-stepper__minus,
    .van-stepper__input {
        width: 28px;
        height: 28px;
    }

    .van-stepper__input {
        font-size: 14px;
    }

    .van-stepper__minus {
        border: 1px solid rgba(239, 239, 239, 1);
        box-sizing: border-box;
        background: white;
    }

}
